import javax.management.ObjectName;
import javax.management.Query;

import fr.ippon.groovy.util.WebLoMBean;

def mbs = WebLoMBean.getDomainMBeanServer('t3://localhost:7001', 'weblogic', 'weblogic')

def destFilter = javax.management.Query.with {
	gt(attr('MessagesCurrentCount'),value(0))
}
def destinationsMBeanNames = mbs.queryNames(new ObjectName('com.bea:Type=JMSDestinationRuntime,*'), destFilter)

def destinationMbeans = destinationsMBeanNames.collect { new GroovyMBean(mbs, it) }


def cal = Calendar.getInstance()
cal.add(Calendar.HOUR,-24)
def timestamp = cal.getTimeInMillis()

destinationMbeans.each { mbean ->

	def selector = 'JMSTimestamp > '+ timestamp
	def cursor = mbean.getMessages(selector,10)
	def recentMsg = mbean.getCursorSize(cursor)
	mbean.closeCursor(cursor)

	printf " %-60s nbMsg=%-5d recentMsg=%-5d%n" , mbean.Name, mbean.MessagesCurrentCount, recentMsg
}