import javax.management.ObjectName;
import javax.management.Query;

import fr.ippon.groovy.util.WebLoMBean;

def mbs = WebLoMBean.getDomainMBeanServer('t3://localhost:7001', 'weblogic', 'weblogic')

def destFilter = javax.management.Query.with {
	or(
		gt(attr('MessagesCurrentCount'),value(0)),
		gt(attr('MessagesPendingCount'),value(0))
	)
}
def destinationsMBeanNames = mbs.queryNames(new ObjectName('com.bea:Type=JMSDestinationRuntime,*'), destFilter)

def destinationMbeans = destinationsMBeanNames.collect { new GroovyMBean(mbs, it) }
destinationMbeans.each { mbean ->
	printf " %-60s nbMsg=%-5d pending=%-5d%n" , mbean.Name, mbean.MessagesCurrentCount, mbean.MessagesPendingCount
}