import javax.management.ObjectName;
import javax.management.Query;

import fr.ippon.groovy.util.WebLoMBean;

def mbs = WebLoMBean.getDomainMBeanServer('t3://localhost:7001', 'weblogic', 'weblogic')

def destFilter = javax.management.Query.with {
	match(attr('Name'),value('*@MyFirstDistributedQueue'))
}
println "Filtre jmx : $destFilter"
def destinationsMBeanNames = mbs.queryNames(new ObjectName('com.bea:Type=JMSDestinationRuntime,*'), destFilter)

println ''
println "Liste des ObjectName :"
destinationsMBeanNames.each {
	println it
}

println ''
println "Liste des queues et topics :"
def destinationMbeans = destinationsMBeanNames.collect { new GroovyMBean(mbs, it) }

destinationMbeans.each { mbean ->
	println "$mbean.Name"
}

//com.bea:ServerRuntime=AdminServer,Name=ATLAS-jms!JMSServer-0@MyFirstDistributedQueue,Location=AdminServer,Type=JMSDestinationRuntime,JMSServerRuntime=JMSServer-0
